# QB移动端JS_SDK
QB移动端JS_SDK

##安装方式
yarn add https://github.com/westzmg/zhu_wap_bridge.git

##引用方式
yarn add https://github.com/westzmg/zhu_wap_bridge.git

# 拍摄照片
#### await _Bridge.takePhoto(options)
```
options: {
    quality: 0.6,           // 图片质量0 to 1
    includeBase64: true,        // 返回值内是否包含base64
}
```
##### 详情参考 https://github.com/react-native-image-picker/react-native-image-picker

# 录制视频
### await _Bridge.recordVideo(options)
```
options: {
    quality: 0.6,           // 质量 0 to 1
}
```
##### 详情参考 https://github.com/react-native-image-picker/react-native-image-picker


# 扫描二维码
### await _Bridge.barCodeScan(options)
```
options: {
}
```
##### 详情参考 https://github.com/react-native-image-picker/react-native-image-picker

#打开WebView
### openWindow(options)
```
options: {
    url: "http://www.baidu.com
}
```

#关闭当前的WebView
### closeWindow()
```
options: {
}
```

#获取坐标信息
### getPosition()
```
options: {
}
```

#使用重庆电子签章(未完成)
### launchCQDigitalSign(options)
```
options: {
}
```

#使用手写板签名(未完成)
### launchFingerSign(options)
```
options: {
}
```

#社交应用分享
### launchShare(options)
```
options: {
    message:string, 
    title:string, 
    url:string<base64>
}
refer https://react-native-share.github.io/react-native-share/docs/share-open
```

#获取token
### getToken()
```
```

#获取当前项目信息
### getCurrProject()
```
```

#获取当前项目信息
### previewImage([])
```
@params [imageUrl]
```

#获取上传图片以及文件的token
### getUpToken(options)
```
options: {
    id,  --必输项，如果是项目级应用则设置project_id,否则设置user_id
    app_id="common",  --逻辑必输项，设置为应用的code，如果没有设置系统默认为common，
    signature=true,  --是否需要签名访问
    rename=true,  --文件是否重命名
    maxSize=1024*1024*10  --文件尺寸限制，默认为10M
}
```

#上传图片
### uploadImage(options)
```
options {
    token: object,  --从getUpToken中获取
    photo: object,  --选择或拍照的结果，主要会用到fileName,type,fileName，多数情况直接拿结果直接用就行了
    onProgress: func,  --图片上传的进度回调
}
```

#图片直传
### uploadImageThrough(options)
```
options {
    photo: object,  --选择或拍照的结果，主要会用到fileName,type,fileName，多数情况直接拿结果直接用就行了
    tokenMode: string,  --必输项，project or user
    appId: string,  --所属的app代码，默认为common
    signature: false,  --是否需要签名上传
    rename=true,   --是否重命名
    maxSize=1024*10000  --最大尺寸
}
```

#拍照后直接上传
### takePhotoAndUpload(options)
```
 options {
     quality: 0.6,
     includeBase64: true,
     saveToPhotos: false,
     uploadOptions: {
         tokenMode: string,  --必输项，project or user，默认为project
         appId: string,  --所属的app代码，默认为common
         signature: false,  --是否需要签名上传
     }  --图片上传的options
 }
```

#选择文件后上传
### choosePhotoAndUpload(options)
```
 options {
     includeBase64: false,
     uploadOptions: {
         tokenMode: string,  --必输项，project or user
         appId: string,  --所属的app代码，默认为common
         signature: false,  --是否需要签名上传
     }  --图片上传的options
 }
```

#拍照或选择文件后上传
### getPhotoAndUpload(options)
```
 options {
     sourceType  --['album', 'camera']相册选择和摄像头的选择，可二者同时
     takeOptions: {
         quality: 0.6,
        includeBase64: true,
         saveToPhotos: false,
     }  --拍照的options，无特殊情况几乎不用设置
     chooseOptions:{
         includeBase64: true,
     }  --拍照的options，无特殊情况几乎不用设置
    uploadOptions: {
         tokenMode: string,  --归类方式 project or user，默认project
         appId: string,  --所属的app代码，默认为common，建议输入
         signature: true,  --是否需要签名上传，默认为true
     }  --图片上传的options
 }
```

#信息提示对话框
### alertDialog(options)
```
 options {
     title,  -- 标题
     description,  -- 描述内容
     status,  --状态 normal(默认),warning,error,success
 }
```

#信息确认对话框
### await confirmDialog(options)
```
 options {
     title,  -- 标题
     description,  -- 描述内容
 }
 @result 确认true， 放弃false
```

#文本输入对话框
### await inputDialog(options)
```
 options {
     title,  -- 标题
     description,  -- 描述内容
 }
 @result 
```

#人脸活体检测
### await liveDetect(options)
```
 options {
     includeBase64,  -- 
     scale,  -- 尺寸
     cropHeight,  -- 图片高度
     cropWidth,  -- 图片宽度
 }
 @result {uri, type, fileName, base64}
```

#捕捉拍摄身份证
### await takeIdCard(options)
```
 options {
     includeBase64,  --
     quality,  --
 }
 @result {uri, type, fileName, base64}
```

#识别车牌
### await scanCarNo(options)
```
 options {
     includeBase64,  --
 }
 @result {uri, type, fileName, base64}
```

#识别营业执照
### await scanBusinessLicense(options)
```
 options {
     includeBase64,  --
 }
 @result {uri, type, fileName, base64}
```

